#include "../headers/scstwstyling.h"

ScStwStyling::ScStwStyling(QObject *parent) : QObject(parent)
{

}

void ScStwStyling::init(QQmlApplicationEngine *engine) {
    qmlRegisterUncreatableType<ScStwAppTheme>("de.itsblue.ScStw.Styling", 2, 0, "ScStwAppTheme", "The ScStwAppTheme has to be managed by a ScStwAppTheme manager and is therefore not creatable");
    qmlRegisterType<ScStwAppThemeManager>("de.itsblue.ScStw.Styling", 2, 0, "ScStwAppThemeManager");
    engine->addImportPath(":/lib");
}
